



\usemodule[filter]

\traceexternalfilters

\defineexternalfilter
   [ASY]
   [
     filter={asy -tex "context" -outformat pdf
             -outname \externalfilteroutputfile},
     output=\externalfilterbasefile.pdf,
     cache=yes,
     readcommand=\ReadImage,
   ]

\define[1]\ReadImage{\externalfigure[#1]}

\starttext

Testing if we can include an asymptote image
\startplacefigure[location={here}, title={An Asymptote figure}]
\startASY
import solids;

size(7.5cm,0);

currentprojection=orthographic(3,9,2);
currentlight=light(diffuse=white,
                   background=rgb(0,0,0),
                   (5,5,5),(5,-5,-5),(0,-5,-5));

revolution sph=sphere(O,1);

real a=.7; //compris entre 0 et 1
real b=2.4;
draw(surface(shift(-b/2,-b/2,sin(pi*(a-.5)))*scale3(b)*unitsquare3),white+opacity(.7));
draw(surface(sph),orange);

skeleton s;
sph.transverse(s,reltime(sph.g,a),P=currentprojection);
draw(s.transverse.back,linetype("8 8",8));
draw(s.transverse.front);
\stopASY
\stopplacefigure

\stoptext

